import CryptoJS from 'crypto-js'

const key = CryptoJS.enc.Utf8.parse('J4ny0Ja678Y7P2so')
const iv  = CryptoJS.enc.Utf8.parse('pTNorfvZW2UZJbd0')

export function Decrypt(word) {
  const encryptedHexStr = CryptoJS.enc.Hex.parse(word)
  const srcs    = CryptoJS.enc.Base64.stringify(encryptedHexStr)
  const decrypt = CryptoJS.AES.decrypt(srcs, key, {
    iv,
    mode:    CryptoJS.mode.CBC,
    padding: CryptoJS.pad.Pkcs7
  })
  return decrypt.toString(CryptoJS.enc.Utf8)
}
